/**
 * Area.java
 *	Given the lengths of three sides of a triangle, output
 *	the area of the triangle using the formula:
 *		area = sqrt(s(s-a)(s-b)(s-c))
 *		  where s = (a+b+c) / 2
 */

// this line is required to use JOptionPane.showInputDialog and
// JOptionPane.showMessageDialog
import javax.swing.JOptionPane;

/** Area class. Note that class name should be descriptive, and
 *  should start with a capital letter.
 */
public class Area {

  public static void main( String args[] )
  {
    // get the user input as three Strings
    String sa = JOptionPane.showInputDialog( "Length of side a:" );
    String sb = JOptionPane.showInputDialog( "Length of side b:" );
    String sc = JOptionPane.showInputDialog( "Length of side c:" );

    // convert the input Strings to numbers. NOTE that the types
    // of the numbers are "double", which is better than "int"
    // because "double" can handle real numbers too.
    double a = Double.parseDouble( sa );
    double b = Double.parseDouble( sb );
    double c = Double.parseDouble( sc );

    // now calculate s
    double s = ( a + b + c ) / 2;

    // now calculate the area, noting that we use Math.sqrt() to
    // calculate the square root
    double area = Math.sqrt( s * (s-a) * (s-b) * (s-c) );

    // output using System.out.println()
    System.out.println( "The area of the triangle is: " + area );

    // or we can output using JOptionPane.showMessageDialog()
    // NOTE that the first argument of the showMessageDialog()
    // method is always "null" (at least as far as cs201 is concerned).
    JOptionPane.showMessageDialog( null, "The area of the triangle is: "+area );

    // Don't forget the following line, which is required to terminate
    // a Java program when the program creates a dialog box (or a window
    // in general).
    System.exit(0);
  }

} // end of class Area

